Package org.apache.tools.ant.taskdefs.optional.native2ascii

# Class Native2AsciiAdapterFactory

java.lang.Object
org.apache.tools.ant.taskdefs.optional.native2ascii.Native2AsciiAdapterFactory

    public class Native2AsciiAdapterFactory
    extends java.lang.Object

Creates the Native2AsciiAdapter based on the user choice and potentially the VM vendor.

Since:
  Ant 1.6.3

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Native2AsciiAdapterFactory()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Native2AsciiAdapter` | `getAdapter​(java.lang.String choice, ProjectComponent log)` | Creates the Native2AsciiAdapter based on the user choice and potentially the VM vendor.
  `static Native2AsciiAdapter` | `getAdapter​(java.lang.String choice, ProjectComponent log, Path classpath)` | Creates the Native2AsciiAdapter based on the user choice and potentially the VM vendor.
  `static java.lang.String` | `getDefault()` | Determines the default choice of adapter based on the VM vendor.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Native2AsciiAdapterFactory

    public Native2AsciiAdapterFactory()

- ## Method Details

  - ### getDefault

    public static java.lang.String getDefault()
    Determines the default choice of adapter based on the VM vendor.
    Returns:
      the default choice of adapter based on the VM vendor

  - ### getAdapter

    public static Native2AsciiAdapter getAdapter​(java.lang.String choice, ProjectComponent log) throws BuildException
    Creates the Native2AsciiAdapter based on the user choice and potentially the VM vendor.
    Parameters:
      `choice` - the user choice (if any).
      `log` - a ProjectComponent instance used to access Ant's logging system.
    Returns:
      The adapter to use.
    Throws:
      `BuildException` - if there was a problem.

  - ### getAdapter

    public static Native2AsciiAdapter getAdapter​(java.lang.String choice, ProjectComponent log, Path classpath) throws BuildException
    Creates the Native2AsciiAdapter based on the user choice and potentially the VM vendor.
    Parameters:
      `choice` - the user choice (if any).
      `log` - a ProjectComponent instance used to access Ant's logging system.
      `classpath` - the classpath to use when looking up an adapter class
    Returns:
      The adapter to use.
    Throws:
      `BuildException` - if there was a problem.
    Since:
      Ant 1.8.0